from flask import Flask, redirect, url_for, request, render_template

# Create the application.
APP = Flask(__name__)

# Define different routes of the application.
@APP.route('/2ndpage', methods=['GET', 'POST'])
def drawPlz():
	title = "Lost Stories"

	name = request.form.get('lostobject')
	msg = "Sorry that you lost {name}. But {name} will be having fun somewhere."  
	if request.method == 'POST':
		print("is this workhing?")
		image=request
		print(image)
	return render_template("drawing.html", title=title, msg=msg)

@APP.route('/', methods=['GET', 'POST'])
def index():

	title = "Lost Stories"

	# If something is submitted through the form...
	# ref: https://pythonbasics.org/flask-http-methods/
	if request.method == 'POST':

		# Read the values from the form element.
		name = request.form.get('lostobject', 'nana')
		text = request.form.get('text', 'haha')

		# date = request.form['dd-mm-yyyy'] Q.How can I include date? Or maybe general date input? Sometimes ppl do remember when they lose sth. and somethimes they do not know.

		# Write the submitted data to a file, which is
		# in this case a "csv" (comma seperated values) file
		# that you can also open with spreadsheet software.
		# Note that the file is opened in the mode "a+"
		# which means that the Flask application will append values
		# (and not overwrite the csv file).
		with open('database.csv', 'a+') as db:
			db.write(f"{ name } | { text } \n")

		msg = "Thanks!"
		# return render_template('index.html', title=title, msg=msg)
		return redirect(url_for('drawPlz', title=title, msg=msg))
	
	# If the index page is loaded...
	msg = "Please submite the form below."
	return render_template('index.html', title=title, msg=msg)


if __name__ == '__main__':
	APP.debug = True
	APP.run(port = 5000)